/* maser.m,
 *
 * Masers are enemy lasers.  They are slower, smaller, do 1 damage and
 * die on impact.  So they are really, nothing like (player) lasers.
 * They are also further away from microwaves than lasers are...
 */

#include "common.h"
#include "projectiles/maser.h"
#include "seborrhea/seborrhea.h"


static SebFile *proj_data;


@implementation Maser
+ derive_registerProjectile();
+ derive_loadDataProjectile(proj_data, "data/proj-maser");
+ derive_shutdownProjectile(proj_data);

- init
{
    [super init];

    speed = 9.0;

    sprite = [proj_data getSebumByName:"maser"];
    w = 4;	//[sprite width]-2;
    h = 30;	//[sprite height]-2;

    return self;
}
@end
